import subprocess

def run_script(script_name):
    try:
        completed_process = subprocess.run(["python", script_name], check=True)
        print(f"{script_name} foi executado com sucesso.")
        return True
    except subprocess.CalledProcessError as e:
        print(f"Erro ao executar {script_name}: {e}")
        return False

if __name__ == "__main__":
    script_names = ['01_user.py', '02_team.py', '03_spaces.py', '04_folders_lists.py', '05_lists.py', '06_tasks.py']  # Substitua pelos nomes dos seus scripts

    for script in script_names:
        success = run_script(script)
        if not success:
            print("Encerrando a execução dos scripts devido a uma falha.")
            break