<?php use Leantime\Domain\Auth\Models\Roles; ?>
<?php $tpl->dispatchTplEvent('beforeHeadMenu'); ?>

<ul class="headmenu">

    <?php $tpl->dispatchTplEvent('afterHeadMenuOpen'); ?>

    <?php echo $__env->make('timesheets::partials.stopwatch', [
                   'progressSteps' => $onTheClock
               ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <li>
        <a
            href="<?php echo e(BASE_URL); ?>/dashboard/home"
            <?php if($activePath == 'dashboard.home'): ?>
                class="active"
            <?php endif; ?>
            data-tippy-content="<?php echo e(__('popover.home')); ?>"
        ><?php echo __('menu.home'); ?></a>
    </li>

    <li>
        <a
            href='<?php echo e(BASE_URL); ?>/projects/showMy'
            <?php if($activePath == 'projects.showMy'): ?>
                class="active"
            <?php endif; ?>
            data-tippy-content="<?php echo e(__('popover.my_projects')); ?>"
        ><?php echo __("menu.my_projects"); ?></a>
    </li>

    <li>
        <a
            href='<?php echo e(BASE_URL); ?>/timesheets/showMy'
            <?php if($activePath == 'timesheets.showMy'): ?>
                class="active"
            <?php endif; ?>
            data-tippy-content="<?php echo e(__('popover.my_timesheets')); ?>"
        ><?php echo __("menu.my_timesheets"); ?></a>
    </li>

    <li>
        <a
            href='<?php echo e(BASE_URL); ?>/calendar/showMyCalendar'
            <?php if($activePath == 'calendar.showMyCalendar'): ?>
                class="active"
            <?php endif; ?>
            data-tippy-content="<?php echo e(__('popover.my_calendar')); ?>"
        ><?php echo __("menu.my_calendar"); ?></a>
    </li>

    </li>
    <li class="notificationDropdown">

        <a
            href='javascript:void(0);'
            class="dropdown-toggle profileHandler notificationHandler"
            data-toggle='dropdown'
            data-tippy-content='<?php echo e(__('popover.notifications')); ?>'
        >
            <span class="fa-solid fa-bell"></span>
            <?php if($newNotificationCount>0): ?>
                <span class='notificationCounter'><?php echo e($newNotificationCount); ?></span>
            <?php endif; ?>
        </a>

        <div class='dropdown-menu' id='notificationsDropdown'>

            <div class='dropdownTabs'>
                <a
                    href='javascript:void(0);'
                    class='notifcationTabs active'
                    id="notificationsListLink"
                    onclick="toggleNotificationTabs('notifications')"
                >Notification (<?php echo e($totalNewNotifications); ?>)</a>
                <a
                    href='javascript:void(0);'
                    class='notifcationTabs'
                    id="mentionsListLink"
                    onclick="toggleNotificationTabs('mentions')"
                >Mentions (<?php echo e($totalNewMentions); ?>)</a>
            </div>

            <div class="scroll-wrapper">

                <ul id='notificationsList' class='notifcationViewLists'>
                    <?php if($totalNotificationCount === 0): ?>
                        <p style='padding: 10px'><?php echo e(__('text.no_notifications')); ?></p>
                    <?php endif; ?>

                    <?php $__currentLoopData = $notifications; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $notif): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if($notif['type'] == 'mention'): ?>
                            <?php continue; ?>
                        <?php endif; ?>

                        <li
                            <?php if($notif['read'] == 0): ?>
                                class='new'
                            <?php endif; ?>
                            data-url="<?php echo e($notif['url']); ?>"
                            data-id="<?php echo e($notif['id']); ?>"
                        >
                            <a href="<?php echo e($notif['url']); ?>">
                                <span class="notificationProfileImage">
                                    <img src="<?php echo e(BASE_URL); ?>/api/users?profileImage=<?php echo e($notif['authorId']); ?>"/>
                                </span>
                                <span class="notificationDate">
                                    <?php echo $tpl->getFormattedDateString($notif['datetime']); ?>
                                    <?php echo $tpl->getFormattedTimeString($notif['datetime']); ?>
                                </span>
                                <span class="notificationTitle"><?php echo $tpl->convertRelativePaths($notif['message']); ?></span>
                            </a>
                        </li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>

                <ul id='mentionsList' style='display:none;' class='notificationViewLists'>
                    <?php if($totalMentionCount === 0): ?>
                        <p style="padding: 10px"><?php echo e(__('text.no_notifications')); ?></p>
                    <?php endif; ?>

                    <?php $__currentLoopData = $notifications; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $notif): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if($notif['type'] != 'mention'): ?>
                            <?php continue; ?>
                        <?php endif; ?>

                        <li
                            <?php if($notif['read'] == 0): ?>
                                class='new'
                            <?php endif; ?>
                            data-url="<?php echo e($notif['url']); ?>"
                            data-id="<?php echo e($notif['id']); ?>"
                        >
                            <a href="<?php echo e($notif['url']); ?>">
                                <span class="notificationProfileImage">
                                    <img src="<?php echo e(BASE_URL); ?>/api/users?profileImage=<?php echo e($notif['authorId']); ?>"/>
                                </span>
                                <span class="notificationDate">
                                    <?php echo $tpl->getFormattedDateString($notif['datetime']); ?>
                                    <?php echo $tpl->getFormattedTimeString($notif['datetime']); ?>
                                </span>
                                <span class="notificationTitle"><?php echo $tpl->convertRelativePaths($notif['message']); ?></span>
                            </a>
                        </li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>

            </div>
        </div>

    </li>

    <?php if($login::userIsAtLeast("manager")): ?>

        <li class="appsDropdown">

            <a
                href="javascript:void(0);"
                class="dropdown-toggle profileHandler"
                data-toggle="dropdown"
                data-tippy-content="<?php echo e(__('popover.company')); ?>"
            >
                <img src="<?php echo e(BASE_URL); ?>/dist/images/svg/apps-grid-icon.svg"
                     style="width:13px; vertical-align: middle;"/>
            </a>

            <ul class="dropdown-menu">
                <li class="nav-header"><?php echo e(__('header.management')); ?></li>
                <li><a href="<?php echo e(BASE_URL); ?>/timesheets/showAll"><?php echo __('menu.all_timesheets'); ?></a></li>

                <li
                    <?php if(str_starts_with($activePath, 'projects')): ?>
                        class="active"
                    <?php endif; ?>
                >
                    <a href="<?php echo e(BASE_URL); ?>/projects/showAll"><?php echo __('menu.all_projects'); ?></a>
                </li>

                <?php if($login::userIsAtLeast(Roles::$admin)): ?>
                    <li
                        <?php if(str_starts_with($activePath, 'clients')): ?>
                            class="active"
                        <?php endif; ?>
                    >
                        <a href="<?php echo e(BASE_URL); ?>/clients/showAll"><?php echo __('menu.all_clients'); ?></a>
                    </li>

                    <li
                        <?php if(str_starts_with($activePath, 'users')): ?>
                            class="active"
                        <?php endif; ?>
                    >
                        <a href="<?php echo e(BASE_URL); ?>/users/showAll"><?php echo __('menu.all_users'); ?></a>
                    </li>

                    <?php if($login::userIsAtLeast(Roles::$owner)): ?>
                        <li class="nav-header border"><?php echo __('label.administration'); ?></li>

                        <li
                            <?php if(str_starts_with($activePath, 'plugins')): ?>
                                class="active"
                            <?php endif; ?>
                        >
                            <a href="<?php echo e(BASE_URL); ?>/plugins/show/"><?php echo __('menu.plugins'); ?></a>
                        </li>

                        <li
                            <?php if(str_starts_with($activePath, 'connector')): ?>
                                class="active"
                            <?php endif; ?>
                        >
                            <a href="<?php echo e(BASE_URL); ?>/connector/show/"><?php echo __('menu.integrations'); ?> <span class="label label-primary feature-label">Beta</span></a>
                        </li>

                        <li
                            <?php if(str_starts_with($activePath, 'setting')): ?>
                                class="active"
                            <?php endif; ?>
                        >
                            <a href="<?php echo e(BASE_URL); ?>/setting/editCompanySettings/"><?php echo __('menu.company_settings'); ?></a>
                        </li>

                        <?php $tpl->dispatchTplEvent('companyMenuEnd', ["module" => explode('.', $activePath)[0]]); ?>

                    <?php endif; ?>
                <?php endif; ?>
            </ul>

        </li>

    <?php endif; ?>

    <li>
        <div class="userloggedinfo">

            <?php echo $__env->make("auth::partials.loginInfo", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        </div>

        <?php $tpl->dispatchTplEvent('afterUser'); ?>

    </li>

    <?php $tpl->dispatchTplEvent('beforeHeadMenuClose'); ?>

</ul>

<?php $tpl->dispatchTplEvent('afterHeadMenu'); ?>

<?php if (! $__env->hasRenderedOnce('7a01a911-245b-402a-9f04-8bc4dfe66af1')): $__env->markAsRenderedOnce('7a01a911-245b-402a-9f04-8bc4dfe66af1'); ?>
    <?php $__env->startPush('scripts'); ?>
        <script>
            function toggleNotificationTabs(active) {
                jQuery(".notifcationTabs").removeClass("active");
                jQuery('#' + active + 'ListLink').addClass("active");
                jQuery('.notifcationViewLists').hide();
                jQuery('#' + active + 'List').show();
            }

            jQuery(document).ready(function () {
                jQuery('.notificationHandler').on('click', function () {
                    jQuery.ajax(
                        {
                            type: 'PATCH',
                            url: leantime.appUrl + '/api/notifications',
                            data: {
                                id: 'all',
                                action: 'read'
                            }
                        }
                    ).done(function () {
                        jQuery(".notifcationViewLists li.new").removeClass("new");
                        jQuery(".notificationCounter").fadeOut();
                    })
                });

                jQuery('.notificationDropdown .dropdown-menu').on('click', function (e) {
                    e.stopPropagation();
                });

                jQuery('notificationsDropdown li').click(function () {
                    const url = jQuery(this).data('url');
                    const id = jQuery(this).data('id');

                    window.location.href = url;
                })
            });
        </script>
    <?php $__env->stopPush(); ?>
<?php endif; ?>
<?php /**PATH /home/rafalemos/public_html/kanban-dev.dataconex.group/app/Domain/Menu/Templates/headMenu.blade.php ENDPATH**/ ?>